Get transactions for a specific account.

Transactions for an account include charges, loans, payments, reversals, interest, and fees. Results are paginated and sorted by transaction issued date.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

ID of the Account

Query Params
integer

The maximum number of transactions to be returned. Defaults to 100.

string

Pass the value from the paging response body in your previous request. If not provided, the zero-indexed starting point will be used. Either starting_after or ending_before may be provided, but not both.

string

Pass the value from the paging response body in your previous request. If not provided, the zero-indexed starting point will be used. Either starting_after or ending_before may be provided, but not both.

string

Returns transactions that are adjustments for the transaction with the provided ID.

string

Returns transactions that are adjustments created by the transaction with the provided ID.

date-time

Returns transactions with an 'effective_at' date more recent (or equal) than the timestamp passed as a value. Due to format constraints, it is highly recommended to encodeURIComponent() the value before passing it as a query parameter.

date-time

Returns transactions with an 'effective_at' date older (or equal) than the timestamp passed as a value. Due to format constraints, it is highly recommended to encodeURIComponent() the value before passing it as a query parameter.

boolean

For payment reversal transactions, include a summary of adjustments issued by the reversal.

boolean

Returns transactions that are or are not adjustments (generally created by a reversal), based on the parameter value.

boolean

Returns transactions that have or have not been reversed, based on the parameter value.

date-time

Returns transactions with an 'issued_at' date more recent (or equal) than the timestamp passed as a value. Due to format constraints, it is highly recommended to encodeURIComponent() the value before passing it as a query parameter.

date-time

Returns transactions with an 'issued_at' date older (or equal) than the timestamp passed as a value. Due to format constraints, it is highly recommended to encodeURIComponent() the value before passing it as a query parameter.

string

Comma-separated list of transaction statuses to filter by (no whitespaces).

string

Comma-separated list of transaction types to filter by (no whitespaces).

string

Comma-separated list of transaction super types to filter by (no whitespaces).

number

Returns transactions with a balance in cents less than or equal to the value passed as a parameter.

number

Returns transactions with a balance in cents greater than or equal to the value passed as a parameter.

number

Returns transactions with an original amount in cents less than or equal to the value passed as a parameter.

number

Returns transactions with an original amount in cents greater than or equal to the value passed as a parameter.

string
enum

Return records ordered by the provided column name: defaults to issued_at.

Allowed:
string

Search for transactions that match the provided text value in either the description or line_item_id fields.

Responses

401

Unauthorized.

403

Forbidden.

404

Account not found

429

Too many requests.

default

Unexpected Error.

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json